form div.ns-side-button {
    display:flex;
    flex-wrap: nowrap;
    flex-direction: row;
}
form div.ns-side-button > button.ns-button {
    margin-left: 1px;
    background: var(--input-bg-color) !important;
}
form div.ns-side-button.clear-button input {
    padding-right:calc(16px + 2 * var(--input-padding) )
}
form div.ns-side-button.clear-button button.ns-clear-button {
    position: absolute;
    right:var(--input-padding);
    top:50%;
    transform:translateY(-50%);
    background: none;
    height:16px;
    transition:opacity .3s;
    opacity:0.5;
    display:none;
}
form div.ns-side-button.clear-button input.hasval + button.ns-clear-button {
    display: block;
}
form div.ns-side-button.clear-button button.ns-clear-button:hover {
    opacity:1;
}
form div.ns-side-button.clear-button button.ns-clear-button span {
    font-size:16px;
}